
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大话存储系列20——数据存储与数据管理综述 / iVAN</title>

    <meta name="description" content="大话存储系列20——数据存储与数据管理综述 存储系统又两大部分内容:数据存储 和 数据管理. 数据存储包括:存储控制器硬件.磁盘.适配器.网络传输通道.RAID管理.LUN管理等,这部分主要功能就是提供基本的裸数据存储服务: 数据管理包括:Tier.Snapshot.Clone等数据处理模块. 存储系统实时监控物理空间使用情况,一旦所有用户整体空间消耗达到临界值,则需要马上扩大物理容量.然而,对于空间使用率的监控方面,如果存储系统为NAS系统,提供的是一个基于文件协议的卷共享,则存储系统本身就可以很容易地监控存储空间的真实耗费情况,因为N">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">大话存储系列20——数据存储与数据管理综述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>存储系统又两大部分内容：数据存储 和 数据管理。</strong></p>
<p>数据存储包括：存储控制器硬件、磁盘、适配器、网络传输通道、RAID管理、LUN管理等，这部分主要功能就是提供基本的裸数据存储服务；</p>
<p>数据管理包括：Tier、Snapshot、Clone等数据处理模块。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMzA0LzA0LzEzNjUwNzkwMTdfNDA4Mi5qcGc=.jpg"></p>
<p>存储系统实时监控物理空间使用情况，一旦所有用户整体空间消耗达到临界值，则需要马上扩大物理容量。然而，对于空间使用率的监控方面，如果存储系统为NAS系统，提供的是一个基于文件协议的卷共享，则存储系统本身就可以很容易地监控存储空间的真实耗费情况，因为NAS系统是自己来维护文件与物理空间对应关系的。</p>
<p>但是如果存储系统提供的是一个基于Block协议访问的空间，比如FC或者iSCSI协议的LUN，则存储系统所监控到的这个LUN在物理磁盘上所占用的空间使用率很大程度上是伪造的，存储系统所检测到的占用率永远大于其实际占用率，其原因是因为存储系统自身一般不能感知到这个LUN中文件系统中的实际文件所占用的空间，只有客户端主机才能看到，一种极端的情况：如果在使用这个LUN的客户端主机上曾经将数据塞满这个LUN但是随后由删除掉了，那么存储系统所看到的这个LUN的使用率永远为100%，而实际上是0.</p>
<p>从技术角度讲，存储系统想要监控LUN之内的实际数据使用率也不是什么难题，只要能够感知其上的文件系统逻辑即可查到，我们将会在随后详细描述。。。</p>
<p><strong>好吧，我们接下来看一下存储系统对LUN实际占用空间的检测，可以选择简单模式、复杂模式和完美模式三种，我们分别通过介绍着三种模式，体会一下存储系统对LUN的检测效果：</strong></p>
<p>简单模式：系统记录一个High Water Mark(高水位线)，目标LUN曾经接收到的写IO所对应的LBA地址最长（最远）的那个，利用这个HWM来判断目标LUN实际占用的空间。比如一开始存储系统创建了一个大小为1TB的LUN，但是由于Thin Provisioning模式，这个LUN刚被创建的时候事不占用存储系统的物理空间的，系统只是记录一下，假设第一个IO就是向这个LUN的最后一个LBA地址写入数据，那么存储系统就会去判断是否已经超过了当前已经使用的最大的LBA地址，那么系统就会再分配一段物理空间给这个LUN。</p>
<p>复杂模式：系统可以识别简单模式不能识别到的信息，要识别出当前LUN真正需要的物理空间，就需要记录更多的信息，比如LUN中哪些地址被写过，哪些尚未被写过，而记录这种信息的最佳手段就是Bitmap，Bitmap中的每个bit可以表示一个BLock（或称Page，比如4KB、16KB大小），如果需要写数据，就把对应的位置1，系统分配物理空间给这个LUN，更新LUN的Metadata，然后将数据写入对应的BLOCK。但是这样还不是完美的模式，因为这个LUN之上还有一层论及在做映射，也就是文件系统（或者其他程序自身管理的数据映射机制），总是文件系统里把这个LUN中的文件数据删除，但是对于存储系统来说，它根本感知不到文件逻辑，所以此时这些被删除的文件依然占用物理的空间。</p>
<p><strong>1、Thin Provision/Over Allocation（瘦供）</strong></p>
<p>可以翻译成 “超供”，更合适一点，具体见我自己整理的这篇博客吧：<a href="http://blog.csdn.net/changyanmanman/article/details/8395527" rel="external nofollow noreferrer">http://blog.csdn.net/changyanmanman/article/details/8395527</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 19:15:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba/" title="主机">主机</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8/" title="数据存储">数据存储</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%ae%a1%e7%90%86/" title="数据管理">数据管理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>大话存储系列20——数据存储与数据管理综述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrqnryb.html" rel="bookmark">大话存储系列19&mdash;&mdash;数据容灾</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据备份系统只能保证数据被安全地复制了一份,但是一旦生产系统发生故障,比如服务器磁盘损坏致使数据无法读写.主板损坏造成直接无法开机或者机房火灾等意外事件,我们必须将备份的数据尽快地恢复到生产系统中继续生产,这个动作就叫做容灾. 容灾可以分为四个级别: 数据级容灾:也就是只考虑将生产站点的数据如何同步 到远程站点即可. 与应用结合的数据级容灾:也就是可以保证对应应用程序数据一致性的数据同步,以及可感知应用层数据结构的.有选择的同步部分关键重要数据的数据容灾: 应用级容灾:也就是灾难发生时,不仅可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLVGnM.html" rel="bookmark">大话存储系列1&mdash;&mdash;对存储的初步认识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章转载自大牛Hellodba,连接如下:http://www.hellodb.net/2009/08/storage.html 那这篇文章开始我的存储之旅,我将会在近期整理出关于存储的更多细节. IOPS IOPS (Input/Output Operations Per Second),即每秒进行读写(I/O)操作的次数,多用于数据库等场合,衡量随机访问的性能.存储端的IOPS性能和主机端的IO是不同的,IOPS是指存储每秒可接受多少次主机发出的访问,主机的一次IO需要多次访问存储才可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7D3ez.html" rel="bookmark">大话存储系列13&mdash;&mdash;对象存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 对象存储系统(Object-Based Storage System)是综合了NAS和SAN的优点,同时具有SAN的高速直接访问和NAS的数据共享等优势,提供了高可靠性.跨平台性以及安全的数据共享的存储体系结构. 传统块存储与对象存储结构对比示意图: 对象存储系统组成 对象(Object) 包含了文件数据以及相关的属性信息,可以进行自我管理 OSD(Object-based Storage Device) 一个智能设备,是Object的集合 文件系统 文件系统运行在客户端上,将应用程序的文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5Bldp.html" rel="bookmark">云存储将成为数据存储未来发展方向</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在云计算浪潮之下,新的存储技术--云存储,日益成为数据存储未来发展方向,随着社会的发展和科技的进步,特别是计算机和网络的飞速发展,人们对信息数据存取的大容量.便捷.可靠性要求越来越高.有分析认为,尽管云存储的发展目前仍受到一定的局限,但未来一到两年,云存储的市场空间将会放大. 云存储是云计算的重要应用,是指将团队或个人的文件或数据集中存储在数据中心而非本地,并按照实际使用进行付费的技术.广义来说还包括存储基础上提供的文件管理服务,即存储+&quot;操作系统&quot;.目前,云存储按不同的分类标准可以分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaZ0Wz.html" rel="bookmark">大话存储系列19&mdash;&mdash;数据备份与恢复 下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.卷克隆(Clone) 克隆是指源数据集某时间点的一份或者几份实实在在的实体复制,利用快照做克隆:首先对某个源数据集(源卷或者源文件系统)创建一份快照,之后将这份快照执行的所有数据块阯出来到一个额外的存储空间,这样,被复制出来的所有数据就组成了源数据集在那个时刻的一个克隆实体. 历史是不能回过头去改变的,但是快照却是可写的(以前我一直以为快照时只读的),其实可写的Snapshot也只不过是对指针的处理而已,即系统增加了一个RoFW数据映射表,比如存储系统将Snapshot也只不过是对指针的处理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRR8jp.html" rel="bookmark">大话存储系列18&mdash;&mdash;数据备份与恢复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				备份一般会有文件级的备份,还有块级的备份两种,我们接下来先简要了解一下这两种备份的区别. 文件级备份:备份软件只能感知到文件这一层,将磁盘上的所有文件,通过调用文件系统的接口备份到另一个介质上,所以文件级备份软件,要么依靠操作系统提供的API来备份,要么本身具有文件系统的功能,可以识别文件系统元数据.其机制就是将数据以文件的形势独处,然后在将独处的文件存储在另外一个介质上.这些文件在原来的介质上存放可以使不连续的,各个不连续的块之间的链关系由文件系统来管理.如果备份软件将这些文件备份到新的空白介			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q6W7p.html" rel="bookmark">大话无线客户端安全之数据存储安全&mdash;&mdash;Android篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 前言        随着无线客户端的火热发展,大家往往将所关注的重点放到了业务本身上,而忽视了安全问题.但是随着近年来各种层出不穷的与客户端相关的攻击事件以及安全漏洞的曝出,客户端安全已经不容忽视,忽视了安全必将会受到安全的惩罚.        而在各种安全之中数据安全更是重中之重,毫不夸张的说数据安全可以说是无线客户端安全的灵魂.用户的重要数据一旦损失掉,将会对应用乃至企业造成巨大的负面影响.例如去年发生的CSDN的用户名密码泄露事件:和无线客户端相关的有Skype Android版的用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1w0vM.html" rel="bookmark">《大数据管理概论》一3&period;2　大数据存储与管理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;大数据管理概论&gt;一书中的第3章,第3.2节,作者 孟小峰,更多章节内容可以访问&quot;华章计算机&quot;公众号查看 3.2 大数据存储与管理方法 闪存.PCM等新型存储介质的引入使得大数据存储架构有了多种选择.但由于新型存储介质在价格.寿命等方面与传统的磁盘相比不具优势,因此目前主流的观点是在大数据存储系统中同时使用新型存储介质和传统存储介质,由此产生了多种基于新型存储的大数据存储架构,如基于PCM的主存架构.基于闪存的主存扩展架构.基于多存储介质的分层存储架构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq4kWp.html" rel="bookmark">android数据存储之文件存储方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件存储是 Android 中最基本的一种数据存储方式,它不对存储的内容进行任何的格式化处理,所有数据都是原封不动的保存到文件当中的. 概述 文件存取的核心就是输入流和输出流. Android文件的操作模式 文件的相关操作方法 文件读写的实现 openFileOutput和openFileInput方法 /** * openFIleOutput ,openFileInput * 这两种方法同sp一样只能讲文件保存到手机内存固定的路径中, * 默认为 /data/data/&lt;packageName			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM16dap.html" rel="bookmark" class="title">ASP&plus;全新接触（2）</a>
					<div>
						asp+ 2000-10-31· 赵于·yesky 二. ASP+的四大新特性 1. ASP+基于全新的架构 ASP+是完全基于NGWS运行时框架的. NGWS运行时框架(NGWS runtime f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG0Vlb.html" rel="bookmark" class="title">SuperMicro&lpar;超微&rpar;防火墙服务器解决方案</a>
					<div>
						在当今企业庞大的网络中,网络安全一直是管理人员担心的问题,病毒传播和黑客入侵已成为企业网络受到外来攻击的最主要的威胁.目前仅以病毒或黑客的单一手段对网络进行攻击的现象越来越少,而更多的则是采用多种攻击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2rO4b.html" rel="bookmark" class="title">精准规划网站优化周期的六大秘诀</a>
					<div>
						无论是刚刚入行的新手站长,还是经验丰富的老站长.都会对网站优化周期的规划感到头疼不已.每一处都得小心翼翼的来做好,生怕自己的客户会流失.而优化这份工作的命运并不是完全掌握在我们自己手中,大部分的时候我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv4Y9z.html" rel="bookmark" class="title">输出EXCEL文件的通用函数，很实用</a>
					<div>
						excel|函数 阿余常要把各种各样的查询结果输出到EXCEL中,所以做了下面这段小程序,用于把一个SQL的SELECT查询出的结果输出为EXCEL格式文件,这个程序你只要设好用于取得一个记录集的SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOEGvM.html" rel="bookmark" class="title">关于图片与文本同存在数据库中的具体思路</a>
					<div>
						首先,你的表单的类型设为 &lt;FORM ENCTYPE=&quot;multipart/form-data&quot;ACTION=&quot;uploadresult.asp&quot; MET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMylokb.html" rel="bookmark" class="title">vb程序实例（一）</a>
					<div>
						创建vb应用程序是很简单的事.有多简单?为回答这个问题,试着创建下面的 Hello ,vb和 Firstapp 应用程序. 你好,Visual Basic 创建vb应用程序有三个主要步骤: 1. 创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKEd6M.html" rel="bookmark" class="title">JMS、XML和异构企业</a>
					<div>
						如今,大多数计算环境更多地是由不同平台组成,而不是固守任何一个平台. Java 消息服务 (JMS) ,与可扩展标记语言 (XML) 一起,满足了这种异构环境集成的愿望.这篇文章演示了如何使用 JMS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLr1Ob.html" rel="bookmark" class="title">开源缓存包EHCache全接触</a>
					<div>
						EHCache 是一个纯java的,在Hibernate2.1充当可插入的的在进程中的缓存,它具有以下缓存,最小的依赖性,全面的文特性:快速,简单,丰富的文档和测试用例. 官方网站 http://eh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXZEGp.html" rel="bookmark" class="title">新浪微博WP客户端如何对某条微博进行转发、评论及收藏等操作？</a>
					<div>
						  1.长按某条微博,页面会弹出&quot;转发&quot;&quot;评论&quot;&quot;收藏&quot;等操作; 2.进入单条微博页面,下方会显示转发.评论.收藏能按钮,根据自己的选择进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj8eQb.html" rel="bookmark" class="title">迅雷离线下载怎么使用</a>
					<div>
						  我们要看高清的电影,一般都会使用迅雷下载.特别是有开通迅雷会员的朋友,采用离线下载真的是爽歪歪.那么问题来了,有些会员不知道迅雷离线下载怎么用? 首先,小编还是解释一下迅雷离线是什么意思吧!这款特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYLglb.html" rel="bookmark" class="title">魔影工厂怎么添加字幕</a>
					<div>
						  1.添加视频,为视频插入音乐 首先,在&quot;视频&quot;面板点击&quot;添加视频&quot;按钮,将视频导入爱剪辑. 接着,还可以切换到&quot;音频&quot;面板,点击&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn708Az.html" rel="bookmark" class="title">java-如何进行多层map的比较</a>
					<div>
						问题描述 如何进行多层map的比较 有两个map 分别为map1 {1={2=33=4}}:map2 {1={3=42=3}},我要比较这两个map,认为他们是相等的,该如何比较呢? 在线急等!!!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6j2xb.html" rel="bookmark" class="title">大数据在云计算中转换的4个步骤</a>
					<div>
						如今的企业必须向顾客提供始终如一的高价值体验,否则会失去顾客.他们正在求助于大数据技术.通过大数据分析,组织可以更好地了解他们的客户,了解他们的习惯,并预测他们的需求,以提供更好的客户体验. 但是,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj2GdM.html" rel="bookmark" class="title">aspx网页里有jqgrid，我点击asp&colon;button的时候，用response&period;write</a>
					<div>
						问题描述 response.write(&quot;alert('')&quot;),jqgrid提示gridcannotbeusedinthisquirksmode,请问格纹大侠,如何解决					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB1X1b.html" rel="bookmark" class="title">了解一下JAVA中的NIO模块</a>
					<div>
						网上资料大把,但要写写代码,我这个年纪的人才有一点点记忆了.. 参考URL: http://blog.csdn.net/wuxianglong/article/details/6612282 pack ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKvxYb.html" rel="bookmark" class="title">使用 MEF 公开 Silverlight MVVM 应用程序中的接口</a>
					<div>
						下载代码示例 许多开发人员可能都将 Silverlight 视为以 Web 为中心的技术,但实际上,它已经成为构建任何应用程序的优秀平台. Silverlight 本身就支持许多概念,例如数据绑定.值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40rXNz.html" rel="bookmark" class="title">亚洲黑客组织盯紧中国企业 利用小小视频攻陷高管</a>
					<div>
						早在圣诞节前夕,Adobe 公司宣布对旗下 Flash 播放器的多个漏洞进行了修复,但该事件没有随着漏洞的修复而结束,而是引起了国内安全公司的重(实力)视(秀).经调(扒) 查(皮),其中一个漏洞已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7J32p.html" rel="bookmark" class="title">自由谈：为什么使用 Linux</a>
					<div>
						Liberty means responsibility. That is why most men dread it. -  George Bernard Shaw Unless a man has ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ7Zkp.html" rel="bookmark" class="title">回顾百度发展细节 CEO李彦宏揭秘其成功秘诀</a>
					<div>
						[硅谷网7月27日收拾]有人说,中国任务经理人的创业明显并非仅仅想 获取更多的财富,自我价值的完成也很重要.在这一点上,李彦宏就是最棒的注脚从李彦宏决然抛弃外国公司丰盛待遇和期权,回国创建了百度至今, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKj9Ap.html" rel="bookmark" class="title">android-安卓源码编译中 &num;include &amp;amp&semi;amp&semi;lt&semi;stdio&period;h&amp;amp&semi;amp&semi;gt&semi; 会报异常</a>
					<div>
						问题描述 安卓源码编译中 #include &lt;stdio.h&gt; 会报异常 在kernel/driver中的c文件里面调用FILE*类指针.添加#include 头文件就会报异常.请教如何解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x9aZb.html" rel="bookmark" class="title">我的电视我做主手把手教你调教小米电视2图像参数</a>
					<div>
						小米电视2是小米公司第二款电视产品,具有超高的性价比,是目前最便宜的4K超高清智能电视,售价仅为3399元.小米电视2采用了高品质LG.华星光电真4K液晶屏,世界领先的瑞仪背光模组保证色彩准确.作为一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOoJ8b.html" rel="bookmark" class="title">各种用途的按钮</a>
					<div>
						各种用途的按钮 下面框中为脚本显示区  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1l5qb.html" rel="bookmark" class="title">固定网页背景图同时保持图片比例的思路代码&lowbar;javascript技巧</a>
					<div>
						提供一个背景图片策略: 1,背景图片固定 2,随窗口大小改变而改变大小 3,保持比例不变而缩放 支持浏览器:IE 6,7,8,9+ ,FF,Chrome 演示地址:http://www.einino. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2QBxM.html" rel="bookmark" class="title">集百家之长&excl;雅虎推出搜索引擎Alpha</a>
					<div>
						  Yahoo的澳大利亚分部推出了一个叫&quot;Alpha&quot;的beta版搜索引擎,它能够从多个不同的搜索引擎中收集搜索结果.虽然已经有很多多源的搜索站点能够把搜索结果结合在一起,但是Al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlrVvp.html" rel="bookmark" class="title">SOS  C&num;  MSMQ 在Receive消息时，一直提示操作超时</a>
					<div>
						问题描述 publicTReceive(){Tobj=default(T);try{using(Messagemessage=msgQueue.Receive(timeout,transactionT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y5vPb.html" rel="bookmark" class="title">个人网站网络安全意识要加强 防黑小锦囊</a>
					<div>
						网络安全是指网络系统的硬件.软件及其系统中的数据受到保护,不因偶然的或者恶意的原因而遭受到破坏.更改.泄露,系统连续可靠正常地运行,网络服务不中断. 网络安全从其本质上来讲就是网络上的信息安全.从广义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvwddb.html" rel="bookmark" class="title">《纽约时报》作家跳槽雅虎：拟建消费者网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间10月22日凌晨消息,雅虎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvqnjrb.html" rel="bookmark" class="title">sicp 4&period;3&period;3小节习题</a>
					<div>
						  本节实现了amb求值器,题目都是扩展这个求值器,引入一些特殊的过程.我的尝试解答从4.51开始 习题4.51,要求实现permanent-set!,这个过程的副作用在遇到失败时不撤销,实现如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqEq5b.html" rel="bookmark" class="title">Java核心技术卷I基础知识1&period;2&period;7　可移植性</a>
					<div>
						1.2.7 可移植性 与C和C++不同,Java规范中没有&quot;依赖具体实现&quot;的地方.基本数据类型的大小以及有关运算都做了明确的说明. 例如,Java中的int永远为32位的整数,而在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baE14Jb.html" rel="bookmark" class="title">一篇文读懂19款数据分析软件，解救选择困难症！</a>
					<div>
						作者介绍 欧阳辰,超过15年的软件开发和设计经验,目前就职于小米公司,负责小米广告平台的架构研发.曾为微软公司工作10年,担任高级软件开发主管.热爱架构设计和高可用性系统,特别对于大规模互联网软件的开 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
